<?php

class Siteguarding_Geoprot_Adminhtml_GeoprotsettingsController extends Mage_Adminhtml_Controller_Action
{

    protected function _isAllowed()
    {
        return true;
    }

    public function indexAction()
    {

        $action = '';

        if (isset($_REQUEST['action'])) {
            $action = $_REQUEST['action'];
        }

        if ($action != '') {
            switch ($action) {
                case 'Save_Settings':
                    $data = array();
                    if (isset($_POST['registration_code'])) $data['registration_code'] = $_POST['registration_code'];

                    $action_message = 'Settings saved';

                    $message_data = array(
                        'type' => 'info',
                        'header' => '',
                        'message' => $action_message,
                        'button_text' => '',
                        'button_url' => '',
                        'help_text' => ''
                    );

                    Mage::unregister('message_data');
                    Mage::register('message_data', $message_data);

                    Mage::helper('geoprot/seosgprotection')->Set_Params($data);

                    Mage::helper('geoprot/seosgprotection')->CreateSettingsFile();
                    Mage::helper('geoprot/seosgprotection')->CheckWPConfig_file();


                    break;
            }

        }

        $geo_db_array = array();

        foreach (glob(dirname(dirname(dirname(__FILE__))) . DIRECTORY_SEPARATOR . "geo_base_*.db") as $filename) {
            $geo_db_array[] = $filename;
        }

        if (count($geo_db_array) > 0) {
            Mage::helper('geoprot/seosgprotection')->Add_IP_adresses();
        }


        $this->loadLayout();
        $this->_title($this->__("Settings"));
        $this->renderLayout();
    }
}