<?php

class Siteguarding_Geoprot_Adminhtml_GeoprotstyleController extends Mage_Adminhtml_Controller_Action
{

    protected function _isAllowed()
    {
        return true;
    }

    public function indexAction()
    {
        $action = '';

        if (isset($_REQUEST['action'])) {
            $action = $_REQUEST['action'];
        }

        if ($action != '') {
            switch ($action) {
                case 'Customization_save':
                    $data = array();
                    if (!Mage::helper('geoprot/seosgprotection')->CheckIfPRO()) {
                        $data['custom_status'] = 0;
                        $action_message = 'Settings not saved. Please <a href="https://www.siteguarding.com/en/buy-extention/magento-geo-website-protection" target="_blank">Get Full Version</a> to unlock all the features';
                    } else {
                        if (isset($_POST['custom_status'])) $data['custom_status'] = intval($_POST['custom_status']);
                        else $data['custom_status'] = 0;
                        if (isset($_POST['logo_url'])) $data['logo_url'] = $_POST['logo_url'];
                        if (isset($_POST['text_1'])) $data['text_1'] = $_POST['text_1'];
                        if (isset($_POST['text_2'])) $data['text_2'] = $_POST['text_2'];
                        if (isset($_POST['hide_ipinfo'])) $data['hide_ipinfo'] = intval($_POST['hide_ipinfo']);
                        else $data['hide_ipinfo'] = 0;
                        if (isset($_POST['hide_debug'])) $data['hide_debug'] = intval($_POST['hide_debug']);
                        else $data['hide_debug'] = 0;
                        $action_message = 'Settings saved';
                    }

                    $message_data = array(
                        'type' => 'info',
                        'header' => '',
                        'message' => $action_message,
                        'button_text' => '',
                        'button_url' => '',
                        'help_text' => ''
                    );

                    Mage::unregister('message_data');
                    Mage::register('message_data', $message_data);

                    Mage::helper('geoprot/seosgprotection')->Set_Params($data);

                    Mage::helper('geoprot/seosgprotection')->CreateSettingsFile();
                    Mage::helper('geoprot/seosgprotection')->CheckWPConfig_file();

                break;
            }
        }
        $this->loadLayout();
        $this->_title($this->__("Style"));
        $this->renderLayout();
    }
}